using NodePipeline.Engine.CodeGeneration.Abstractions.Models;

namespace NodePipeline.Engine.Tests.CodeGeneratorTests.Fixtures.MockNodes;

public class NotImplementedINode
{
    internal static NodeDescriptor GetDescriptor()
    {
        return new NodeDescriptor(nameof(NotImplementedINode), false, typeof(NotImplementedINode).FullName!,
            typeof(NotImplementedINode).FullName!,
            [], true, null);
    }
}